# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		mcrcon
Version:	0.7.1
Release:	1.%{__distinit}%{__distvers}
Summary:	Console based rcon client for minecraft servers
License:	zlib
URL:		https://github.com/Tiiffi/mcrcon/
Source0:	https://github.com/Tiiffi/mcrcon/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:	gcc
BuildRequires:	make
BuildRequires:	sed

%description
Mcrcon is powerful IPv6 compliant minecraft rcon client with bukkit coloring
support. It is well suited for remote administration and to be used as part of
automated server maintenance scripts. Does not cause "IO: Broken pipe" or
"IO: Connection reset" spam in server console.

Features:
 - Interactive terminal mode - keeps the connection alive
 - Send multiple commands in one command line
 - Silent mode - does not print rcon output
 - Support for bukkit coloring on Windows and Linux (sh compatible shells)
 - Multiplatform code - compiles on many platforms with only minor changes

%prep
%setup -q

# Fix line endings
sed -i 's/\r$//' README.md

%build
make CFLAGS="-std=gnu99" EXTRAFLAGS="%{optflags}"

%install
make install DESTDIR=%{buildroot} INSTALL="install -p" PREFIX=%{_prefix}

%files
%if 0%{?_licensedir:1}
%license LICENSE
%else
%doc LICENSE
%endif
%doc CHANGELOG.md README.md
%{_bindir}/mcrcon
%{_mandir}/man1/mcrcon.1*

%changelog
* Wed Mar 18 2020 Paul Howarth <paul@city-fan.org> - 0.7.1-1
- Import from Fedora
- Update to 0.7.1
  - Set default address to localhost
  - Add -w option for rcon command throttling
  - Deprecate -i flag for invoking terminal mode
  - Add workaround to prevent server-side bug
    (https://bugs.mojang.com/browse/MC-154617)

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jul 19 2019  Samuel Rakitničan <samuel.rakitnican@gmail.com> 0.6.1-3
- Remove Group tag

* Fri May 03 2019  Samuel Rakitničan <samuel.rakitnican@gmail.com> 0.6.1-2
- Specify gnu99 standard, required for gcc 4.8

* Fri May 03 2019  Samuel Rakitničan <samuel.rakitnican@gmail.com> 0.6.1-1
- Update to 0.6.1
- Use Fedora build flags and enable debuginfo

* Tue Mar 14 2017  Samuel Rakitničan <samuel.rakitnican@gmail.com>
- Escape macro references in changelog
- Fix bogus date in %%changelog: Sat Nov 13 2016

* Sun Nov 13 2016  Samuel Rakitničan <samuel.rakitnican@gmail.com> 0.0.5-5
- Fix typo in man page paths

* Sun Nov 13 2016  Samuel Rakitničan <samuel.rakitnican@gmail.com> 0.0.5-4
- Include a basic manual page

* Sat Nov 12 2016  Samuel Rakitničan <samuel.rakitnican@gmail.com> 0.0.5-3
- Fix %%description lines used more then 79 chars
- Use GitHub instead of Sourceforge for sources
- Change compiler flags according to upstream recommendation
- Convert README.md to unix line endings
- Remove unnecessary "rm -rf %%{buildroot}"

* Mon Nov  7 2016  Samuel Rakitničan <samuel.rakitnican@gmail.com> 0.0.5-2
- Cleanup

* Mon Nov  7 2016  Samuel Rakitničan <samuel.rakitnican@gmail.com> 0.0.5-1
- Initial build
